## AgsPortlet

AgsPortlet — interfacing portlets

## Stability Level

Stable, unless otherwise indicated

## Functions

GObject * | ags_portlet_get_port ()
void | ags_portlet_set_port ()
GList * | ags_portlet_list_safe_properties ()
void | ags_portlet_safe_get_property ()
void | ags_portlet_safe_set_property ()

## Object Hierarchy

        GInterface
        ╰── AgsPortlet

## Includes

    #include <ags/object/ags_portlet.h>

## Description

The AgsPortlet interface is intended to use with ports containing GObject. Whereas its should implement this interface.

## Functions

### ags_portlet_get_port ()

    GObject *
    ags_portlet_get_port (AgsPortlet *portlet);

Get port.

#### Parameters

portlet | the AgsPortlet |

#### Returns

the GObject.

[transfer full]

Since: 3.0.0

### ags_portlet_set_port ()

    void
    ags_portlet_set_port (AgsPortlet *portlet,
                          GObject *port);

Set port.

#### Parameters

portlet | the AgsPortlet |
port | the GObject |

Since: 3.0.0

### ags_portlet_list_safe_properties ()

    GList *
    ags_portlet_list_safe_properties (AgsPortlet *portlet);

Retrieve thread-safe properties.

#### Parameters

portlet | the AgsPortlet |

#### Returns

a GList containing properties.

[element-type utf8][transfer full]

Since: 3.0.0

### ags_portlet_safe_get_property ()

    void
    ags_portlet_safe_get_property (AgsPortlet *portlet,
                                   gchar *property_name,
                                   GValue *value);

Get property thread safe.

#### Parameters

portlet | the AgsPortlet |
property_name | propertie's name |
value | the GValue |

Since: 3.0.0

### ags_portlet_safe_set_property ()

    void
    ags_portlet_safe_set_property (AgsPortlet *portlet,
                                   gchar *property_name,
                                   GValue *value);

Set property thread safe.

#### Parameters

portlet | the AgsPortlet |
property_name | propertie's name |
value | the GValue |

Since: 3.0.0